# AWS Provider Configuration
provider "aws" {}

# provider if optional region is selected
provider "aws" {
  alias = "optional_region"
  region = data.aws_arn.sns_topic_arn.region
}

terraform {
  backend "s3" {
    encrypt = true
  }
}

terraform {
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "= 4.67.0"
    }
  }
}